import { CurveFactory } from "d3-shape";
declare type DatumToValue<D, V> = (d: D, i: number, dArr: D[]) => V;
export declare class D3Area2<D> {
    private _x0;
    private _x1;
    private _y0;
    private _y1;
    private _context;
    private _curve;
    private _output;
    writePath(dataMin: any[], dataMax: any[]): string;
    private arealine;
    x(_: DatumToValue<D, number>): this;
    x0(_: DatumToValue<D, number>): this;
    x1(_: DatumToValue<D, number>): this;
    y(_: DatumToValue<D, number>): this;
    y0(_: DatumToValue<D, number>): this;
    y1(_: DatumToValue<D, number>): this;
    lineX0(): import("d3-shape").Line<D>;
    lineY0: () => import("d3-shape").Line<D>;
    lineY1(): import("d3-shape").Line<D>;
    lineX1(): import("d3-shape").Line<D>;
    curve(_: CurveFactory): this;
    context(_: any): this;
}
export {};
